SReview::Schedule::Base::Speaker(3pm)

NAME
SReview::Schedule::Base::Speaker

DESCRIPTION
A class to hold a speaker.

ATTRIBUTES

talk_object
    The "SReview::Schedule::Base::Talk" object that this speaker is associated with. This is a weak reference. Required at construction time.

name
    The name of the speaker, as it appears on the schedule. No "load" method is implemented here, that must be done by the subclass.

email
    The email address of the speaker. If set, sreview-notify can send emails to the speaker.

upstreamid
    The unique, unchanging ID of the speaker in the schedule. If not set, "sreview-import" cannot be idempotent and every time the schedule parser is run, more speakers are added to the database.